| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Strat::ContentSet Class Reference
Strat

set of names for stuff that can be inside porous layers More...

`#include <stratcontent.h>`

Inheritance diagram for Strat::ContentSet:
[legend]

## Public Member Functions
| ContentSet ()
| ~ContentSet ()
Content * | getByName (const char *s)
const Content * | getByName (const char *s) const
const Content & | getContent (const char *s) const
int | getIndexOf (const char *) const
Public Member Functions inherited from ObjectSet< Content >
| ObjectSet ()
| ObjectSet (const ObjectSet &)
| ObjectSet (Content *)
| ObjectSet (Content *, Content *)
| ObjectSet (Content *, Content *, Content *)
virtual | ~ObjectSet ()
ObjectSet & | add (Content *t)
bool | addIfNew (Content *)
void | allowNull (bool yn=true)
virtual void | append (const ObjectSet &)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
virtual void | copy (const ObjectSet &)
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
Content * | first ()
const Content * | first () const
virtual Content * | get (const Content *) const
| check & unconst
virtual Content * | get (idx_type)
virtual const Content * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const Content *) const
virtual void | insertAfter (Content *newptr, idx_type)
virtual void | insertAt (Content *newptr, idx_type)
virtual bool | isManaged () const
virtual bool | isPresent (const Content *) const
Content * | last ()
const Content * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (Content *t)
virtual ObjectSet & | operator-= (Content *)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const Content * | operator[] (const Content *t) const
Content * | operator[] (idx_type i)
const Content * | operator[] (idx_type i) const
void | plainErase ()
virtual Content * | pop ()
void | push (Content *t)
virtual void | removeRange (idx_type from, idx_type to)
virtual Content * | removeSingle (idx_type, bool keep_order=true)
virtual Content * | replace (idx_type, Content *)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Additional Inherited Members
Public Types inherited from ObjectSet< Content >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef Content | object_type
typedef value_type & | reference
typedef int | size_type
typedef Content * | value_type
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()
Protected Types inherited from ObjectSet< Content >
typedef VectorAccess< Content *, size_type > | impl_type
Protected Member Functions inherited from ObjectSet< Content >
virtual ObjectSet & | doAdd (Content *)
Protected Attributes inherited from ObjectSet< Content >
bool | allow0_
impl_type | vec_

## Detailed Description

set of names for stuff that can be inside porous layers

<>

## Constructor & Destructor Documentation

## ◆ ContentSet()

Strat::ContentSet::ContentSet | ( |  | ) |

## ◆ ~ContentSet()

Strat::ContentSet::~ContentSet | ( |  | ) |

## Member Function Documentation

## ◆ getByName() [1/2]

Content * Strat::ContentSet::getByName | ( | const char * | s | ) |
| inline

## ◆ getByName() [2/2]

const Content * Strat::ContentSet::getByName | ( | const char * | s | ) | const
| inline

## ◆ getContent()

const Content & Strat::ContentSet::getContent | ( | const char * | s | ) | const
| inline

## ◆ getIndexOf()

int Strat::ContentSet::getIndexOf | ( | const char * |  | ) | const

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025